//-----------------------------------------------------------------------------
// File: MouseExc.h
//
// Desc: Header file for for DirectInput sample
//
// Copyright (c) 1997-1999 Microsoft Corporation. All rights reserved.
//-----------------------------------------------------------------------------

#ifndef MOUSE_EXC_H
#define MOUSE_EXC_H

#define STRICT
//#include <windows.h>
#include <dinput.h>
//#include "resource.h"


struct dxinputstate {
	DIMOUSESTATE dimouse;
	BYTE		diks[256];
	DIJOYSTATE js;
};

//-----------------------------------------------------------------------------
// External function-prototypes
//-----------------------------------------------------------------------------
extern HRESULT InitDirectInput(HINSTANCE hinsT, HWND hDlg );
extern void FillKeyString(char *dxkeys);
extern void FillKeyStringLower(char *dxkeys);
extern HRESULT SetAcquire();
extern HRESULT FreeDirectInput();
extern HRESULT UpdateInputState(dxinputstate *dinstate);

//extern BOOL g_bActive;		
extern HINSTANCE g_hInst;		


#define DXKEY_F1 59
#define DXKEY_F2 60
#define DXKEY_F3 61
#define DXKEY_F4 62
#define DXKEY_F5 63
#define DXKEY_F6 64
#define DXKEY_F7 65
#define DXKEY_F8 66
#define DXKEY_F9 67
#define DXKEY_F10 68
#define DXKEY_F11 0x58
#define DXKEY_F12 0x57
#define DXKEY_LARROW 203
#define DXKEY_RARROW 205
#define DXKEY_UARROW 208
#define DXKEY_DARROW 200

#define DXKEY_TAB 0x0f
#define DXKEY_Q 0x10
#define DXKEY_W 0x11
#define DXKEY_E 0x12
#define DXKEY_R 0x13
#define DXKEY_T 0x14
#define DXKEY_Y 0x15
#define DXKEY_U 0x16
#define DXKEY_I 0x17
#define DXKEY_O 0x18
#define DXKEY_P 0x19
#define DXKEY_LBRACKET 0x1a
#define DXKEY_RBRACKET 0x1b

#define DXKEY_CAPSLOCK 0x3a
#define DXKEY_A 0x1e
#define DXKEY_S 0x1f
#define DXKEY_D 0x20
#define DXKEY_F 0x21
#define DXKEY_G 0x22
#define DXKEY_H 0x23
#define DXKEY_J 0x24
#define DXKEY_K 0x25
#define DXKEY_L 0x26
#define DXKEY_SEMI 0x27
#define DXKEY_QUOTE 0x28
#define DXKEY_ENTER 0x1c


#define DXKEY_Z 0x2c
#define DXKEY_X 0x2d
#define DXKEY_C 0x2e
#define DXKEY_V 0x2f
#define DXKEY_B 0x30
#define DXKEY_N 0x31
#define DXKEY_M 0x32
#define DXKEY_COMMA 0x33
#define DXKEY_PERIOD 0x34
#define DXKEY_FSLASH 0x35

#define DXKEY_1 0x02
#define DXKEY_2 0x03
#define DXKEY_3 0x04
#define DXKEY_4 0x05
#define DXKEY_5 0x06
#define DXKEY_6 0x07
#define DXKEY_7 0x08
#define DXKEY_8 0x09
#define DXKEY_9 0x0a
#define DXKEY_0 0x0b
#define DXKEY_MINUS 0x0c
#define DXKEY_PLUS 0x0d
#define DXKEY_BACKSPACE 0x0e

#define DXKEY_TILDA 0x2d
#define DXKEY_ESC 0x01
#define DXKEY_SPACE 0x39
#define DXKEY_PAD1 0x4f
#define DXKEY_PAD2 0x50
#define DXKEY_PAD3 0x51
#define DXKEY_PAD4 0x4b
#define DXKEY_PAD5 0x4c
#define DXKEY_PAD6 0x4d
#define DXKEY_PAD7 0x47
#define DXKEY_PAD8 0x48
#define DXKEY_PAD9 0x49
#define DXKEY_PAD0 0x52
#define DXKEY_PAD_PERIOD 0x53
#define DXKEY_PAD_ENTER 0x9c
#define DXKEY_PAD_PLUS 0x4e
#define DXKEY_PAD_MINUS 0x4a
#define DXKEY_PAD_STAR 0x37
#define DXKEY_PAD_SLASH 0xb5
#define DXKEY_PAD_NUMLOCK 0x45
#define DXKEY_POWER 0xde
#define DXKEY_SLEEP 0xdf
#define DXKEY_WAKEUP 0xe3

#define DXKEY_LSHIFT 0x2a
#define DXKEY_LCTRL 0x1d
#define DXKEY_LALT 0x38
#define DXKEY_LWIN95 0xdb

#define DXKEY_RSHIFT 0x36
#define DXKEY_RCTRL 0x9d
#define DXKEY_RALT 0xb8
#define DXKEY_RWIN95 0xdc

#define DXKEY_BSLASH 0x56
#define DXKEY_BSLASH2 0x2b

#define DXKEY_PRINTSCREEN 0xb7
#define DXKEY_SCROLLLOCK 0x46
//#define DXKEY_PAUSE 0xNONE??
#define DXKEY_INS 0xd2
#define DXKEY_HOME 0xc7
#define DXKEY_PAGEUP 0x2c9
#define DXKEY_DELETE 0xd3
#define DXKEY_END 0xcf
#define DXKEY_PAGEDOWN 0xc1


#endif // !defined(MOUSE_EXC_H)
